org.springframework.web.servlet.view.tiles2

## Class AbstractSpringPreparerFactory

- java.lang.Object
- - org.springframework.web.servlet.view.tiles2.AbstractSpringPreparerFactory

All Implemented Interfaces:
  PreparerFactory

Direct Known Subclasses:
  SimpleSpringPreparerFactory, SpringBeanPreparerFactory

    public abstract class AbstractSpringPreparerFactory
    extends Object
    implements PreparerFactory

Abstract implementation of the Tiles2 `PreparerFactory` interface, obtaining the current Spring WebApplicationContext and delegating to `getPreparer(String, org.springframework.web.context.WebApplicationContext)`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `getPreparer(String, org.springframework.web.context.WebApplicationContext)`, `SimpleSpringPreparerFactory`, `SpringBeanPreparerFactory`

### Constructor Summary

Constructors
Constructor and Description
`AbstractSpringPreparerFactory()`

### Method Summary

Methods
`ViewPreparer` `getPreparer(String name, TilesRequestContext context)`
`protected abstract ViewPreparer` `getPreparer(String name, WebApplicationContext context)` Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSpringPreparerFactory

    public AbstractSpringPreparerFactory()

### Method Detail

#### getPreparer

    public ViewPreparer getPreparer(String name,
                           TilesRequestContext context)
                             throws TilesException

Specified by:
  `getPreparer` in interface `PreparerFactory`
Throws:
  `TilesException`

#### getPreparer

    protected abstract ViewPreparer getPreparer(String name,
                           WebApplicationContext context)
                                         throws TilesException

Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

Parameters:
  `name` - the name of the preparer
  `context` - the current Spring WebApplicationContext
Returns:
  the preparer instance
Throws:
  `TilesException` - in case of failure